### Function

# FwupdPlugin Device register_private_flag_safe

#### Declaration [src]

    GQuark
    fu_device_register_private_flag_safe (
      FuDeviceClass* klass,
      const gchar* flag
    )

#### Description

No description available.

#### Parameters

`klass`

  Type: `FuDeviceClass`

  No description available.

  The data is owned by the caller of the function.

`flag`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GQuark`

No description available.